import { Logger } from "winston"

import ApiKeyDB from "./apiKey"
import ChatDB from "./chat"
import GitlabProjectDB from "./gitlabProject/index."
import GroupSummaryLogDB from "./grpSumLog"
import LogDB from "./log"
import pbClient from "./pbClient"
import ReceiveGroupDB from "./receiveGroup"
import SheetDB from "./sheet"
import SoupGameDB from "./soupGame"
import UserDB from "./user"

class DB {
  public user: UserDB
  public apiKey: ApiKeyDB
  public chat: ChatDB
  public receiveGroup: ReceiveGroupDB
  public log: LogDB
  public grpSumLog: GroupSummaryLogDB
  public gitlabProject: GitlabProjectDB
  public soupGame: SoupGameDB
  public sheet: SheetDB

  constructor(logger: Logger) {
    this.user = new UserDB(pbClient, logger)
    this.apiKey = new ApiKeyDB(pbClient, logger)
    this.chat = new ChatDB(pbClient, logger)
    this.receiveGroup = new ReceiveGroupDB(pbClient, logger)
    this.log = new LogDB(pbClient, logger)
    this.grpSumLog = new GroupSummaryLogDB(pbClient, logger)
    this.gitlabProject = new GitlabProjectDB(pbClient, logger)
    this.soupGame = new SoupGameDB(pbClient, logger)
    this.sheet = new SheetDB(pbClient, logger)
  }
}

export default DB
